Ravens PHP Scripts

rPath update for php5
Date: Tuesday, November 20, 2007 @ 11:47:52 PST
Topic: Security


SECUNIA ADVISORY ID: SA27659

VERIFY ADVISORY: http://secunia.com/advisories/27659/

CRITICAL: Moderately critical

IMPACT: Unknown, Security Bypass

WHERE: From remote

OPERATING SYSTEM: rPath Linux 1.x - http://secunia.com/product/10614/

DESCRIPTION: rPath has issued an update for php5. This fixes some vulnerabilities and weaknesses, where some have unknown impacts and others can be exploited to bypass certain security restrictions. This is related to: SA27648



SOLUTION: Update to:
"php5=conary.rpath.com@rpl:1/5.2.5-1-1"
"php5-cgi=conary.rpath.com@rpl:1/5.2.5-1-1"
"php5-mysql=conary.rpath.com@rpl:1/5.2.5-1-1"
"php5-pear=conary.rpath.com@rpl:1/5.2.5-1-1"
"php5-pgsql=conary.rpath.com@rpl:1/5.2.5-1-1"
"php5-soap=conary.rpath.com@rpl:1/5.2.5-1-1"
"php5-xsl=conary.rpath.com@rpl:1/5.2.5-1-1"

ORIGINAL ADVISORY: http://lists.rpath.com/pipermail/security-announce/2007-November/000277.html

OTHER REFERENCES: SA27648: http://secunia.com/advisories/27648/






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=3149